.TH ann_FF_Std_batch_nb ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_Std_batch_nb - standard batch backpropagation (without bias).
.SH CALLING SEQUENCE
W = ann_BP_Std_batch_nb(x,t,N,W,lp,T[,af,ex])
.SH PARAMETERS
This function have same parameters as ann_FF_Std_online_nb except for:
.TP
ex
string representing a valid Scilab program sequence, executed after
each epoch trough execstr.
.SH DESCRIPTION
Returns the updated weight hypermatrix of a feedforward ANN, after
training with a given set of patterns, T times. The algorithm used is
standard batch backpropagation.

This function is to be used on networks without biases.
.SH SEE ALSO
.TP
ann_FF_Std_online_nb
the online version of standard backpropagation.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
