// script to generate a simple 3d surface with a maximum and minimum
// for figure F_PAROPT_error_surf.fig
// further processing is done in XFig afterwards

// load XFig driver
driver('Fig');
current_driver=driver();

// constants
pi=3.1415927;

// define function
deff('[p]=surf(x,y)','p=0.5*sin(x)*cos(y) + 2');

// actual plot, "_sl" string added to avoid overwriting
xinit('my-figure.fig')

// use gray shadings
xset("use color",0);

t=-pi:pi/10:pi;

// angles 110,80 for a good view
fplot3d(t,t,surf,110,80,"x1@x2@p",[2,1,2],[-pi,pi,-pi,pi,0,2.5]);

xend();
