.TH ann_FF_SSAB_batch_nb ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_SSAB_batch_nb - batch SuperSAB algorithm (without bias).
.SH CALLING SEQUENCE
[W,Delta_W_old,Delta_W_oldold,mu]=
ann_FF_SSAB_batch_nb(x,t,N,W,lp,Delta_W_old,Delta_W_oldold,T[,mu,af,ex,err_deriv_y])
.SH PARAMETERS
This function have same parameters as ann_FF_SSAB_online_nb except for:
.TP
ex
string representing a valid Scilab program sequence, executed after
each epoch trough execstr.
.SH DESCRIPTION
Returns the updated weight hypermatrix of a feedforward ANN, after
training with a given set of patterns, T times. The algorithm used is
batch SuperSAB.
.sp
This function is to be used on networks without biases.
.SH SEE ALSO
.TP
ann_FF_SSAB_online_nb
the online version of SuperSAB algorithm.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
