// Activation function in continous Hopfield memory
// f(x)=(1+tanh(g*x))/2
// where g is the gain parameter
// for F_cont_hopfield_activ_func.fig

// load XFig driver
driver('Fig')
current_driver=driver()

// function definition
deff('[y]=f(x)','y=(1+tanh(g*x))/2')

// actual plot
xinit('cont_hopfield_activ_func.fig');

g=1;
// draw also the axes and bounding box
fplot2d(-1:0.1:1,f,[1],'011'," ",[-1,0,1,1])
g=3;
// draw just the additional curves 
fplot2d(-1:0.1:1,f,[1],'000')
g=50;
fplot2d(-1:0.1:1,f,[1],'000');
xend()
