// tanh activation function
// f(x)=(1+tanh(c*x))/2
// where c is a constant
// for F_BAM_cont_hopfield_activ_func.fig

// load XFig driver
driver('Fig');
current_driver=driver();

xbasc();

c=1;
// activation function definition
deff('[y]=f(x)','y=(1+tanh(c*x))/2');

// actual plot
xinit('hopfield_graph.fig');

xsetech([0,0,0.5,0.5]);

// draw also the axes and bounding box
fplot2d(-1:0.01:1,f,[1],'011'," ",[-1,0,1,1]);

// draw just the additional curves 
c=3;
fplot2d(-1:0.01:1,f,[1],'000');

c=50;
fplot2d(-1:0.01:1,f,[1],'000');

xsetech([0.5,0,0.5,0.5]);

c=1;
// inverse activation function definition
deff('[y]=f(x)','y=log(x/(1-x))/(c*2)');

// draw also the axes and bounding box
fplot2d(0.01:0.01:0.99,f,[1],'011'," ",[0,-1,1,1]);

// draw just the additional curves 
c=3;
fplot2d(0.01:0.01:0.99,f,[1],'000');

c=50;
fplot2d(0.01:0.01:0.99,f,[1],'000');

xend();
